## blockattack 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1...3.18.4)
project (blockattack)
set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)

SET(CPACK_PACKAGE_VERSION "2.8.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "8")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
SET(CPACK_PACKAGE_VENDOR "Poul Sander")
INCLUDE(CPack)

# Define install paths
set(INSTALL_BIN_DIR "bin" CACHE STRING "Install executable in this directory")
set(INSTALL_DATA_DIR "share/blockattack" CACHE STRING "Install data to this directory")
set(INSTALL_MAN_DIR "share/man/man6" CACHE STRING "Install the man page to this directory")
set(INSTALL_APPLICATIONS_DIR "share/applications" CACHE STRING "Install the .desktop file to this directory")
set(INSTALL_ICONS_DIR "share/icons/hicolor" CACHE STRING "Install the icon in a subfolder in this directory")
set(INSTALL_LOCALE_DIR "${INSTALL_DATA_DIR}/locale/" CACHE STRING "Install translation to this dir")
set(INSTALL_METAINFO_DIR "share/metainfo" CACHE STRING "Install appstream matedata to this directory")

option(BLOCKATTACK_USE_EMBEDDED_FMT "Use the embedded version of {fmt}" ON)
option(BLOCKATTACK_USE_EMBEDDED_PLATFORM_FOLDERS "Use the embedded version of PlatformFolders" ON)

# This sets up the exe icon for windows under mingw.
# Taken from https://hansonry.wordpress.com/2010/12/15/windows-application-icon-using-mingw-and-cmake/
set(RES_FILES "")
if(MINGW)
 set(RES_FILES "${blockattack_SOURCE_DIR}/source/code/winicon.rc")
 set(CMAKE_RC_COMPILER_INIT windres)
 ENABLE_LANGUAGE(RC)
 SET(CMAKE_RC_COMPILE_OBJECT
 "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
endif(MINGW)

if (WIN32)
      SET(GUI_TYPE WIN32)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=i686")
	if(NOT _WIN32_WINNT AND NOT WINVER)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_WIN32_WINNT=0x0601 -DWINVER=0x0601")
	endif()
endif()

if (NOT WIN32 AND NOT STANDALONE)
	#The path to the data dir must be compiled into the binary
	if (IS_ABSOLUTE ${INSTALL_DATA_DIR})
		add_definitions(-DSHAREDIR=\"${INSTALL_DATA_DIR}\")
	else()
		add_definitions(-DSHAREDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}\")
	endif()
	if (IS_ABSOLUTE ${INSTALL_DATA_DIR})
		add_definitions(-DLOCALEDIR=\"${INSTALL_LOCALE_DIR}\")
	else()
		add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE_DIR}\")
	endif()
endif()

#Compiler options
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -std=c++11")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -O2")

#Setup SDL2
find_package(SDL2 REQUIRED)
include_directories(${SDL2_INCLUDE_DIRS})

#Setup things that use pkg-config
find_package(PkgConfig REQUIRED)
pkg_search_module(SDL2MIXER REQUIRED SDL2_mixer)
pkg_search_module(SDL2IMAGE REQUIRED SDL2_image)
pkg_search_module(SDL2TTF REQUIRED SDL2_ttf)

include_directories(${SDL2MIXER_INCLUDE_DIRS})
include_directories(${SDL2IMAGE_INCLUDE_DIRS})
include_directories(${SDL2TTF_INCLUDE_DIRS})

find_package(Boost COMPONENTS program_options REQUIRED)

#Find all sources but one
file(GLOB SOURCES "source/code/*.cpp" "source/code/*/*.cpp" "source/code/Libs/*.c")
#I am still trying to get BlockGame to compile as a source file
#list(REMOVE_ITEM SOURCES "${blockattack_SOURCE_DIR}/source/code/BlockGame.cpp")

#Some messages to figure out what cmake does
message("${SOURCES}")
message("${CMAKE_EXE_LINKER_FLAGS}")

if (BLOCKATTACK_USE_EMBEDDED_FMT)
	message("Using embedded {fmt}")
	add_subdirectory("source/misc/embedded_libs/fmt-8.1.1" EXCLUDE_FROM_ALL)
	message("Done processing {fmt}")
endif()

if (BLOCKATTACK_USE_EMBEDDED_PLATFORM_FOLDERS)
	message("Using embedded PlatformFolders")
	add_subdirectory("source/misc/embedded_libs/PlatformFolders-4.2.0" EXCLUDE_FROM_ALL)
	message("Done processing PlatformFolders")
endif()

include_directories("source/code/Libs/include")
include_directories("source/code/Libs/include/cereal/external")  #Contains rapidjson

#building/compiling/linking
add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES})
target_link_libraries( blockattack ${SDL2_LIBRARIES})
target_link_libraries( blockattack fmt)
target_link_libraries( blockattack platform_folders)
target_link_libraries( blockattack physfs)
target_link_libraries( blockattack ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
target_link_libraries( blockattack ${Boost_LIBRARIES} )
set_target_properties( blockattack PROPERTIES RUNTIME_OUTPUT_DIRECTORY Game)

#Installing
install(TARGETS blockattack RUNTIME DESTINATION ${INSTALL_BIN_DIR} )
install(FILES Game/blockattack.data DESTINATION ${INSTALL_DATA_DIR} )
install(FILES Game/mods/1.3.0.bricks.data DESTINATION "${INSTALL_DATA_DIR}/mods" )
install(FILES man/blockattack.6.gz DESTINATION ${INSTALL_MAN_DIR} )
install(FILES source/misc/blockattack.desktop DESTINATION ${INSTALL_APPLICATIONS_DIR} )
install(FILES source/misc/net.blockattack.game.metainfo.xml DESTINATION ${INSTALL_METAINFO_DIR} )
install(FILES source/misc/icons/blockattack16.png DESTINATION "${INSTALL_ICONS_DIR}/16x16/apps" RENAME blockattack.png )
install(FILES source/misc/icons/blockattack48.png DESTINATION "${INSTALL_ICONS_DIR}/48x48/apps" RENAME blockattack.png )
install(FILES source/misc/icons/blockattack128.png DESTINATION "${INSTALL_ICONS_DIR}/128x128/apps" RENAME blockattack.png )
install(FILES source/misc/icons/blockattack256.png DESTINATION "${INSTALL_ICONS_DIR}/256x256/apps" RENAME blockattack.png )
install(FILES source/misc/icons/blockattack64.png DESTINATION "${INSTALL_ICONS_DIR}/64x64/apps" RENAME blockattack.png )
install(FILES source/misc/icons/blockattack32.png DESTINATION "${INSTALL_ICONS_DIR}/32x32/apps" RENAME blockattack.png )
install(DIRECTORY source/misc/translation/locale/ DESTINATION "${INSTALL_LOCALE_DIR}")

=== source/misc/embedded_libs/PlatformFolders-4.2.0/CMakeLists.txt ===
# For target_compile_features
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)

set(PLATFORMFOLDERS_MAIN_PROJECT OFF)
if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
  set(PLATFORMFOLDERS_MAIN_PROJECT ON)
endif()

project(platform_folders VERSION 4.2.0 LANGUAGES CXX)

# BUILD_SHARED_LIBS is off by default, the library will be static by default
option(PLATFORMFOLDERS_BUILD_SHARED_LIBS "Build platform_folders shared library" ${BUILD_SHARED_LIBS})
option(PLATFORMFOLDERS_BUILD_TESTING "Build platform_folders tests" ${PLATFORMFOLDERS_MAIN_PROJECT})
option(PLATFORMFOLDERS_ENABLE_INSTALL "Enable platform_folders INSTALL target" ${PLATFORMFOLDERS_MAIN_PROJECT})

set(PLATFORMFOLDERS_TYPE STATIC)
if(PLATFORMFOLDERS_BUILD_SHARED_LIBS)
	set(PLATFORMFOLDERS_TYPE SHARED)
endif()

add_library(platform_folders ${PLATFORMFOLDERS_TYPE}
	sago/platform_folders.cpp
)

set_target_properties(platform_folders PROPERTIES DEBUG_POSTFIX "${CMAKE_DEBUG_POSTFIX}")

# Creates an alias so that people building in-tree (instead of using find_package)...
# can still link against the same target
add_library(sago::platform_folders ALIAS platform_folders)

# Defines standardized defaults for install paths
include(GNUInstallDirs)
# Where to search for the header while building
target_include_directories(platform_folders PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/sago>
	# Controls where #include <sago/platform_folders.h> starts to look from
	# So /usr/include/<sago/platform_folders.h>
	# or C:\Program Files\platform_folders\include\<sago/platform_folders.h>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

# Define the header as public for installation
set_target_properties(platform_folders PROPERTIES
	PUBLIC_HEADER "sago/platform_folders.h"
)

# cxx_std_11 requires v3.8
if(CMAKE_VERSION VERSION_LESS "3.8.0")
	# Use old method of forcing C++11
	set(CMAKE_CXX_STANDARD 11)
	set(CMAKE_CXX_STANDARD_REQUIRED true)
else()
	# Require (minimum) C++11 when using header
	# PRIVATE means only at compile time
	target_compile_features(platform_folders PUBLIC cxx_std_11)
endif()

# cxx_nullptr exists in v3.1
target_compile_features(platform_folders PRIVATE cxx_nullptr)

# Cmake's find_package search path is different based on the system
# See https://cmake.org/cmake/help/latest/command/find_package.html for the list
if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
	# You can pass these when calling Cmake, so don't override if the user does
	if(NOT _WIN32_WINNT AND NOT WINVER)
		target_compile_definitions(platform_folders PRIVATE
			_WIN32_WINNT=0x0601
			WINVER=0x0601
		)
	endif()
	# Controls where the exports, config, and configversion files install to
	set(_PROJECT_INSTALL_CMAKE_DIR "${CMAKE_INSTALL_PREFIX}/cmake")
else()
	# When calling find_package(<name>)
	# it looks for /usr/lib/cmake/<name>/<name>Config.cmake
	set(_PROJECT_INSTALL_CMAKE_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/platform_folders")
endif()

if(PLATFORMFOLDERS_ENABLE_INSTALL)
	# Gives "Make install" esque operations a location to install to...
	# and creates a .cmake file to be exported
	install(TARGETS platform_folders
		EXPORT "platform_foldersConfig"
		LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
		ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
		# Tells it where to put the header files
		PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/sago"
	)

	# "The install(TARGETS) and install(EXPORT) commands work together to install a target and a file to help import it"
	# Installs a cmake file which external projects can import.
	install(EXPORT "platform_foldersConfig"
		NAMESPACE sago::
		DESTINATION "${_PROJECT_INSTALL_CMAKE_DIR}"
	)

	# "The export command is used to generate a file exporting targets from a project build tree"
	# Creates an import file for external projects which are aware of the build tree.
	# May be useful for cross-compiling
	export(TARGETS platform_folders
		FILE "platform_folders-exports.cmake"
	)

	# For the config and configversion macros
	include(CMakePackageConfigHelpers)

	# Creates the project's ConfigVersion.cmake file
	# This allows for find_package() to use a version in the call
	write_basic_package_version_file("${CMAKE_CURRENT_BINARY_DIR}/platform_foldersConfigVersion.cmake"
		# This'll require versioning in the project() call
		VERSION ${CMAKE_PROJECT_VERSION}
		# Just assuming Semver is followed
		COMPATIBILITY SameMajorVersion
	)

	# Install the ConfigVersion file, which is located in the build dir
	install(FILES
			"${CMAKE_CURRENT_BINARY_DIR}/platform_foldersConfigVersion.cmake"
		DESTINATION "${_PROJECT_INSTALL_CMAKE_DIR}"
	)
endif()

if(PLATFORMFOLDERS_BUILD_TESTING)
	enable_testing()
	add_subdirectory(test)
	add_executable(platform_folders_sample platform_folders.cpp)
	target_link_libraries(platform_folders_sample PRIVATE platform_folders)
endif()

=== source/misc/embedded_libs/PlatformFolders-4.2.0/test/CMakeLists.txt ===
# Create the tester lib
add_library(platformfolders_internal_tester
	"tester.cpp"
)

# cxx_std_11 requires v3.8
if(CMAKE_VERSION VERSION_LESS "3.8.0")
	# Use old method of forcing C++11
	set(CMAKE_CXX_STANDARD 11)
	set(CMAKE_CXX_STANDARD_REQUIRED true)
else()
	# Require (minimum) C++11 when using header
	# PRIVATE means only at compile time
	target_compile_features(platformfolders_internal_tester
		PUBLIC cxx_std_11
	)
endif()

# cxx_range_for exists in v3.1
target_compile_features(platformfolders_internal_tester
	PRIVATE cxx_range_for
)

target_include_directories(platformfolders_internal_tester
	PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}"
)

# Easily define a new test to run
macro(_def_test _name)
	add_executable(${_name} "${_name}.cpp")
	target_link_libraries(${_name} PRIVATE
		platform_folders
		platformfolders_internal_tester
	)
	add_test(NAME "${_name}" COMMAND "${_name}")
endmacro()

_def_test("appendAdditionalConfigDirectories")
_def_test("appendAdditionalDataDirectories")
_def_test("getCacheDir")
_def_test("getConfigHome")
_def_test("getDataHome")
_def_test("getDesktopFolder")
_def_test("getDocumentsFolder")
_def_test("getDownloadFolder1")
_def_test("getMusicFolder")
_def_test("getPicturesFolder")
_def_test("getPublicFolder")
_def_test("getSaveGamesFolder1")
_def_test("getStateDir")
_def_test("getVideoFolder")
_def_test("integration")
_def_test("internalTest")

=== debian/changelog ===
blockattack (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.0.
  * Build-depend on libfmt-dev and do not use embedded copy.
  * Update homepage field and update debian/copyright.
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Aug 2022 14:37:04 +0200

=== debian/control ===
Source: blockattack
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 docbook-to-man,
 libboost-dev,
 libboost-program-options-dev,
 libfmt-dev,
 libphysfs-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 libutfcpp-dev,
 zip
Standards-Version: 4.6.1
Homepage: https://blockattack.net/
Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
Vcs-Browser: https://salsa.debian.org/games-team/blockattack

Package: blockattack
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: puzzle game inspired by Tetris
 Block Attack is a puzzle/blockfall game inspired by Nintendo's Tetris Attack
 for the Super Nintendo. The game is pretty action packed for a puzzle game :-)
 .
 Features:
  * Based on the classic "Tetris Attack" for the SNES
  * 5 single player modes: Endless, Time Trial, Puzzle Mode, Stage Clear and
  Vs. Mode
  * 2 two player options: Time Trial and Vs. Mode
  * Puzzle mode has 20+ puzzles
  * Players can use a custom key setup
  * Handicap in multiplayer
  * Highscores are saved
  * Joypad support
  * Music and sound effects
  * Animations
  * Select puzzle file from a list in the game
 .
 System requirements:
  * Screen resolution: 1024x768 (cannot be changed, but it can run in a window)
  * Keyboard
  * Mouse (optional)
  * Processor: Decent (tested on 733 MHz)
  * Memory: at least 64 MB

## blockattack 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.5.1...3.18.4)
+cmake_minimum_required(VERSION 3.5.1...3.27.4)
 project (blockattack)
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.8.0")
+SET(CPACK_PACKAGE_VERSION "2.9.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "8")
+SET(CPACK_PACKAGE_VERSION_MINOR "9")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
@@ -55,6 +55,10 @@
 	endif()
 endif()
 
+if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+    set(MACOSX TRUE)
+endif()
+
 #Compiler options
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -std=c++11")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
@@ -62,7 +66,7 @@
 
 #Setup SDL2
 find_package(SDL2 REQUIRED)
-include_directories(${SDL2_INCLUDE_DIRS})
+
 
 #Setup things that use pkg-config
 find_package(PkgConfig REQUIRED)
@@ -70,14 +74,13 @@
 pkg_search_module(SDL2IMAGE REQUIRED SDL2_image)
 pkg_search_module(SDL2TTF REQUIRED SDL2_ttf)
 
-include_directories(${SDL2MIXER_INCLUDE_DIRS})
-include_directories(${SDL2IMAGE_INCLUDE_DIRS})
-include_directories(${SDL2TTF_INCLUDE_DIRS})
+
+find_package(Intl REQUIRED)
 
 find_package(Boost COMPONENTS program_options REQUIRED)
 
 #Find all sources but one
-file(GLOB SOURCES "source/code/*.cpp" "source/code/*/*.cpp" "source/code/Libs/*.c")
+file(GLOB SOURCES "source/code/*.cpp" "source/code/*.inc" "source/code/*.h*" "source/code/*/*.cpp" "source/code/*/*.h*" "source/code/Libs/*.c" "source/code/Libs/*.h*")
 #I am still trying to get BlockGame to compile as a source file
 #list(REMOVE_ITEM SOURCES "${blockattack_SOURCE_DIR}/source/code/BlockGame.cpp")
 
@@ -97,18 +100,30 @@
 	message("Done processing PlatformFolders")
 endif()
 
-include_directories("source/code/Libs/include")
-include_directories("source/code/Libs/include/cereal/external")  #Contains rapidjson
 
 #building/compiling/linking
-add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES})
-target_link_libraries( blockattack ${SDL2_LIBRARIES})
-target_link_libraries( blockattack fmt)
-target_link_libraries( blockattack platform_folders)
-target_link_libraries( blockattack physfs)
-target_link_libraries( blockattack ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
-target_link_libraries( blockattack ${Boost_LIBRARIES} )
-set_target_properties( blockattack PROPERTIES RUNTIME_OUTPUT_DIRECTORY Game)
+add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES}
+    source/code/menudef_themes.cpp
+    source/code/menudef_themes.hpp)
+
+target_include_directories(blockattack PRIVATE "source/code/Libs/include")
+target_include_directories(blockattack PRIVATE "source/code/Libs/include/cereal/external")  #Contains rapidjson
+target_include_directories(blockattack PRIVATE ${SDL2_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${SDL2MIXER_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${SDL2IMAGE_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${SDL2TTF_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${Intl_INCLUDE_DIRS})
+
+target_link_libraries(blockattack PRIVATE ${SDL2_LIBRARIES})
+target_link_libraries(blockattack PRIVATE fmt)
+target_link_libraries(blockattack PRIVATE platform_folders)
+target_link_libraries(blockattack PRIVATE physfs)
+if (MACOSX)
+	target_link_libraries(blockattack PRIVATE intl)
+endif()
+target_link_libraries(blockattack PRIVATE ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
+target_link_libraries(blockattack PRIVATE ${Boost_LIBRARIES} )
+set_target_properties(blockattack PROPERTIES RUNTIME_OUTPUT_DIRECTORY Game)
 
 #Installing
 install(TARGETS blockattack RUNTIME DESTINATION ${INSTALL_BIN_DIR} )

=== debian/changelog ===
blockattack (2.9.0-1build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:58 +0200

blockattack (2.9.0-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:00:33 +0200

blockattack (2.9.0-1build1) plucky; urgency=medium

  * Rebuild against latest fmtlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 10:06:10 -0500

blockattack (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 20:25:20 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DBLOCKATTACK_USE_EMBEDDED_FMT=OFF \
		-DINSTALL_BIN_DIR=/usr/games \
		-DINSTALL_DATA_DIR=share/games/blockattack

override_dh_auto_build:
	dh_auto_build
	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
	cp debian/blockattack.desktop .
	./packdata.sh

## blockattack 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.5.1...3.27.4)
+cmake_minimum_required(VERSION 3.5.1...4.1.0)
 project (blockattack)
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.9.0")
+SET(CPACK_PACKAGE_VERSION "2.10.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "9")
+SET(CPACK_PACKAGE_VERSION_MINOR "10")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
@@ -60,7 +60,7 @@
 endif()
 
 #Compiler options
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -std=c++11")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -std=c++17")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
 set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -O2")
 
@@ -77,10 +77,12 @@
 
 find_package(Intl REQUIRED)
 
-find_package(Boost COMPONENTS program_options REQUIRED)
+find_package(Boost COMPONENTS program_options REQUIRED NO_MODULE)
+
+include_directories(SYSTEM "source/code/Libs/imgui")
 
 #Find all sources but one
-file(GLOB SOURCES "source/code/*.cpp" "source/code/*.inc" "source/code/*.h*" "source/code/*/*.cpp" "source/code/*/*.h*" "source/code/Libs/*.c" "source/code/Libs/*.h*")
+file(GLOB SOURCES "source/code/*.cpp" "source/code/*.inc" "source/code/*.h*" "source/code/*/*.cpp" "source/code/*/*.h*" "source/code/Libs/*.c" "source/code/Libs/*.h*" "source/code/Libs/*/*.cpp" "source/code/Libs/*/*/*.cpp")
 #I am still trying to get BlockGame to compile as a source file
 #list(REMOVE_ITEM SOURCES "${blockattack_SOURCE_DIR}/source/code/BlockGame.cpp")
 
@@ -90,7 +92,7 @@
 
 if (BLOCKATTACK_USE_EMBEDDED_FMT)
 	message("Using embedded {fmt}")
-	add_subdirectory("source/misc/embedded_libs/fmt-8.1.1" EXCLUDE_FROM_ALL)
+	add_subdirectory("source/misc/embedded_libs/fmt-11.0.2" EXCLUDE_FROM_ALL)
 	message("Done processing {fmt}")
 endif()

=== source/misc/embedded_libs/PlatformFolders-4.2.0/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # For target_compile_features
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5.1...4.1.0)
 
 set(PLATFORMFOLDERS_MAIN_PROJECT OFF)
 if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)

=== debian/changelog ===
blockattack (2.10.0-1build1) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:18:31 +0100

blockattack (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: added with pristine.
  * New upstream version 2.10.0
  * d/watch: version 5
  * d/control: remove RRR: no (default)
  * d/control: switch to SV 4.7.2.
  * d/copyright: refresh
  * d/salsa-ci.yml: reduce a bit

 -- Patrice Duroux <patrice.duroux@gmail.com>  Wed, 31 Dec 2025 09:26:34 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://blockattack.net/
 Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
 Vcs-Browser: https://salsa.debian.org/games-team/blockattack
